Bug 1266596 - asciidoc does not rebuild on Fedora 23
asciidoc does not rebuild on Fedora 23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: asciidoc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 15:02 EDT by David Sommerseth
Modified: 2016-12-20 09:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:45:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix asciidoc doc packaging (1.11 KB, patch)
2015-09-25 15:02 EDT, David Sommerseth
no flags Details | Diff

  None (edit)
Description David Sommerseth 2015-09-25 15:02:14 EDT
Created attachment 1077219 [details]
Fix asciidoc doc packaging

Trying to do a mock rebuild on Fedora 23 with the fedora-23-x86_64 profile
fails with the following error:

------------------------------
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/asciidoc-8.6.8-7.fc23.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/asciidoc/BUGS.txt
   /usr/share/doc/asciidoc/CHANGELOG.txt
   /usr/share/doc/asciidoc/INSTALL
   /usr/share/doc/asciidoc/INSTALL.txt
   /usr/share/doc/asciidoc/README.txt
   /usr/share/doc/asciidoc/dblatex
   /usr/share/doc/asciidoc/docbook-xsl
   /usr/share/doc/asciidoc/images
   /usr/share/doc/asciidoc/javascripts
   /usr/share/doc/asciidoc/stylesheets
------------------------------

The attached patch resolves these issues.
Comment 1 Stanislav Ochotnicky 2015-10-30 08:46:59 EDT
I have commited/pushed the fix to master/f23. Thank you for the patch. Do you specifically need a rebuild or is current situation enough? Unless this affects runtime I see no reason to cause updates for users.
Comment 2 David Sommerseth 2015-10-30 13:15:54 EDT
(In reply to Stanislav Ochotnicky from comment #1)
> I have commited/pushed the fix to master/f23. Thank you for the patch. Do
> you specifically need a rebuild or is current situation enough? Unless this
> affects runtime I see no reason to cause updates for users.

No need for rebuild currently.  This is something I noticed when doing some Fedora 23 rebuilds for a project I'm involved in.
Comment 4 Fedora End Of Life 2016-11-24 07:36:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:45:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.